Package org.bukkit.block

# Interface BrewingStand

All Superinterfaces:
  `BlockInventoryHolder`, `BlockState`, `Container`, `InventoryHolder`, `Lockable`, `Metadatable`, `Nameable`, `PersistentDataHolder`, `TileState`

public interface BrewingStand extends Container
Represents a captured state of a brewing stand.

## Method Summary

Modifier and Type
Method
Description
`int`
`getBrewingTime()`
How much time is left in the brewing cycle.
`int`
`getFuelLevel()`
Get the level of current fuel for brewing.
`@NotNull BrewerInventory`
`getInventory()`
Gets the inventory of the block represented by this block state.
`@NotNull BrewerInventory`
`getSnapshotInventory()`
Gets the captured inventory snapshot of this container.
`void`
`setBrewingTime(int brewTime)`
Set the time left before brewing completes.
`void`
`setFuelLevel(int level)`
Set the level of current fuel for brewing.

### Methods inherited from interface org.bukkit.inventory.BlockInventoryHolder

`getBlock`

### Methods inherited from interface org.bukkit.block.BlockState

`getBlock, getBlockData, getChunk, getData, getLightLevel, getLocation, getLocation, getRawData, getType, getWorld, getX, getY, getZ, isCollidable, isPlaced, setBlockData, setData, setRawData, setType, update, update, update`

### Methods inherited from interface org.bukkit.block.Lockable

`getLock, isLocked, setLock`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.Nameable

`customName, customName, getCustomName, setCustomName`

### Methods inherited from interface org.bukkit.block.TileState

`getPersistentDataContainer, isSnapshot`

## Method Details

### getBrewingTime

int getBrewingTime()
How much time is left in the brewing cycle.

Returns:
  Brew Time

### setBrewingTime

void setBrewingTime(int brewTime)
Set the time left before brewing completes.

Parameters:
  `brewTime` - Brewing time

### getFuelLevel

int getFuelLevel()
Get the level of current fuel for brewing.

Returns:
  The fuel level

### setFuelLevel

void setFuelLevel(int level)
Set the level of current fuel for brewing.

Parameters:
  `level` - fuel level

### getInventory

@NotNull @NotNull BrewerInventory getInventory()
Description copied from interface: `Container`
Gets the inventory of the block represented by this block state.

If the block was changed to a different type in the meantime, the returned inventory might no longer be valid.

If this block state is not placed this will return the captured inventory snapshot instead.

Specified by:
  `getInventory` in interface `Container`
Specified by:
  `getInventory` in interface `InventoryHolder`
Returns:
  the inventory

### getSnapshotInventory

@NotNull @NotNull BrewerInventory getSnapshotInventory()
Description copied from interface: `Container`
Gets the captured inventory snapshot of this container.

The returned inventory is not linked to any block. Any modifications to the returned inventory will not be applied to the block represented by this block state up until `BlockState.update(boolean, boolean)` has been called.

Specified by:
  `getSnapshotInventory` in interface `Container`
Returns:
  the captured inventory snapshot